.heading {
    color: $white;
    overflow: hidden;
    line-height: 125%;
    position: relative;
    padding-top: rem(22);
    padding-bottom: rem(136);

    &--delivery {
        min-height: rem(360);

        .heading__media {
            left: -160px;
            right: -120px;
        }
    }

    &--designers {
        min-height: rem(464);
    }

    &--base {
        padding: 0;
    }

    &__main {
        position: relative;
        padding-top: rem(22);
        padding-bottom: rem(44);
    }

    &__body {
        z-index: 10;
        position: relative;
    }

    &__media {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;

        &:after,
        &:before {
            top: 0;
            left: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            display: block;
            position: absolute;
        }

        &:after {
            opacity: 0.75;
            width: calc(100% + 40px);
            background: linear-gradient(92deg, #260020 0.52%, rgba(41, 3, 35, 0.00) 32.29%, rgba(0, 0, 0, 0.00) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }

        &:before {
            width: 100%;
            opacity: 0.75;
            background: linear-gradient(92deg, #0A0008 0.52%, #290323 32.29%, rgba(0, 0, 0, 0.72) 61.46%, rgba(0, 0, 0, 0.00) 100%);
        }
    }

    &__breadcrumb {
        margin-bottom: rem(58);
    }

    &__content {
        margin: 0 auto;
        line-height: 125%;
        font-size: rem(13);
        max-width: rem(400);
        text-align: center;
    }

    &__title {
        color: $white;
        font-weight: 700;
        line-height: 115%;
        font-size: rem(24);
        margin-bottom: rem(18);
    }

    &__text {
        margin: 0 auto;
    }

    &__button {
        margin-top: rem(24);
    }

    &__list {
        padding: 0;
        list-style: none;
        margin: 0 0 rem(36) 0;
        display: flex;
        flex-direction: column;
        row-gap: rem(6);
    }

    &__portal {
        display: none;
    }

    &--center {
        padding-top: rem(34);
        padding-bottom: rem(34);
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(34);
        padding-bottom: rem(34);

        &--center {

        }

        &--delivery {
            min-height: rem(496);

            .heading__media {
                left: -230px;
                right: -142px;
                bottom: -200px;
            }
        }

        &--designers {
            min-height: rem(705);
        }

        &--base {
            padding: 0;
        }

        &__main {
            padding-top: rem(34);
            padding-bottom: rem(74);
            min-height: rem(496);
            display: flex;
            flex-direction: column;
        }

        &__wrap {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }

        &__breadcrumb {
            margin-bottom: rem(92);
        }

        &__content {
            font-size: rem(20);
            margin: 0 0 0 rem(52);
            text-align: left;
            max-width: rem(620);

            &--xl {
                font-size: rem(18);
                line-height: rem(26);
            }
        }

        &__portal {
            margin-top: rem(40);
            display: flex;
            justify-content: flex-end;
        }

        &__text {
            margin: 0;
            width: auto;
        }

        &__title {
            font-size: rem(45);
            margin-bottom: rem(30);
        }

        &__text {

        }

        &__button {
            margin-top: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {

        &--delivery {
            min-height: rem(572);

            .heading__media {
                left: 0;
                right: 0;
                bottom: -170px;
            }
        }

        &--designers {
            min-height: rem(738);
        }

        &__main {
            min-height: rem(572);
        }

        &__media {

            &:after {
                width: 100%;
            }
        }

        &__breadcrumb {
            margin-bottom: rem(136);
        }

        &__content {
            margin: 0;
            max-width: rem(800);

            &--xl {
                max-width: rem(950);

                .heading__title {
                    margin-bottom: rem(36);
                }
            }
        }

        &__title {
            font-size: rem(55);
            margin-bottom: rem(20);
        }

        &__button {
            margin-top: rem(44);
        }

        &__portal {
            right: 0;
            bottom: rem(70);
            position: absolute;
        }
    }

    @include media-breakpoint-up(xxl) {}

}

.heading-portal {
    color: white;
    font-weight: 700;
    font-size: rem(16);
    line-height: 150%;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: rem(22);

    i {
        display: block;
        width: rem(42);
        height: rem(42);
        flex-shrink: 0;
    }

    span {
        display: block;
    }

    &:hover {
        color: white;
        text-decoration: none;
    }
}
